Package org.apache.sling.scriptingbundle.plugin.bnd

# Class BndLogger

java.lang.Object
org.apache.sling.scriptingbundle.plugin.bnd.BndLogger

All Implemented Interfaces:
  `Logger`

public class BndLogger extends Object implements Logger

## Constructor Summary

Constructors
Constructor
Description
`BndLogger(aQute.service.reporter.Reporter reporter)`

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(@NotNull String message)`
Log a debug message.
`void`
`error(@NotNull String message)`
Log an error message.
`void`
`error(@NotNull String message, @NotNull Throwable t)`
Log an error message, together with the `Throwable` that caused it.
`void`
`info(@NotNull String message)`
Log an info message.
`void`
`warn(@NotNull String message)`
Log a warning message.
`void`
`warn(@NotNull String message, @NotNull Throwable t)`
Log a warning message, together with the `Throwable` that caused it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BndLogger

public BndLogger(aQute.service.reporter.Reporter reporter)

## Method Details

### error

public void error(@NotNull @NotNull String message)
Description copied from interface: `Logger`
Log an error message.

Specified by:
  `error` in interface `Logger`
Parameters:
  `message` - the message

### error

public void error(@NotNull @NotNull String message, @NotNull @NotNull Throwable t)
Description copied from interface: `Logger`
Log an error message, together with the `Throwable` that caused it.

Specified by:
  `error` in interface `Logger`
Parameters:
  `message` - the message
  `t` - the throwable that caused this error message

### info

public void info(@NotNull @NotNull String message)
Description copied from interface: `Logger`
Log an info message.

Specified by:
  `info` in interface `Logger`
Parameters:
  `message` - the messae

### warn

public void warn(@NotNull @NotNull String message)
Description copied from interface: `Logger`
Log a warning message.

Specified by:
  `warn` in interface `Logger`
Parameters:
  `message` - the message

### warn

public void warn(@NotNull @NotNull String message, @NotNull @NotNull Throwable t)
Description copied from interface: `Logger`
Log a warning message, together with the `Throwable` that caused it.

Specified by:
  `warn` in interface `Logger`
Parameters:
  `message` - the message
  `t` - the throwable that caused this error message

### debug

public void debug(@NotNull @NotNull String message)
Description copied from interface: `Logger`
Log a debug message.

Specified by:
  `debug` in interface `Logger`
Parameters:
  `message` - the message